(**************************************************************************)
(*  Burfiks: bayesian filter for the web                                  *)
(*                                                                        *)
(*  (c) Copyright 2007, INRIA                                             *)
(*                                                                        *)
(*  Authors:                                                              *)
(*  --------                                                              *)
(*  Francesco Zappa Nardelli (INRIA, Rocquencourt)                        *)
(*  Patala Arun Kumar (IIT Kanpur)                                        *)
(*  Sanchit Garg (IIT Bombay)                                             *)
(*  Vidyut Ghosal (IIT Kanpur)                                            *)
(*                                                                        *)
(*  This file is distributed under the terms of the GNU Public License    *)
(*  version 2, http://www.gnu.org/licenses/gpl-2.0.txt                    *)
(*                                                                        *)
(**************************************************************************)

(* *** state *)
open Unix

exception Interrupt of string
let slow_server = ref false
let no_rank = ref false
let server_port = ref 7056
let burfiks_dir = ref (Filename.concat  (Unix.getenv "HOME") ".burfiks-profiles")
let polipo_running : string option ref = ref None
let proxy_running : (string * int) option ref = ref None
let polipo_bin = ref (Filename.concat "polipo" "polipo")
let polipo_pid : int option ref = ref None
let users = ref 0
let normal_mode = ref false
let parent_proxy : string option ref  = ref None
let proxy_auth : string option ref  = ref None

